Create User Invitation
POST /obp/v7.0.0/banks/BANK_ID/user-invitation
OBPv4.0.0-createUserInvitation Roles: CanCreateUserInvitation(per bank) User-InvitationKYC
Create User Invitation.
This endpoint will send an invitation email to the developers, then they can use the link to create the obp user.
purpose filed only support:List(DEVELOPER, CUSTOMER).
You can customise the email details use the following webui props:
when purpose == DEVELOPER webui_developer_user_invitation_email_subject webui_developer_user_invitation_email_from webui_developer_user_invitation_email_text webui_developer_user_invitation_email_html_text
when purpose = == CUSTOMER webui_customer_user_invitation_email_subject webui_customer_user_invitation_email_from webui_customer_user_invitation_email_text webui_customer_user_invitation_email_html_text
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON request body fields (6)
- company
- Tesobe GmbH
- country
- Germany
- felixsmith@example.com
- first_name
- Tom
- last_name
- Smith
- purpose
- DEVELOPER
JSON response body fields (7)
Example request body
{
"first_name": "Tom",
"last_name": "Smith",
"email": "felixsmith@example.com",
"company": "Tesobe GmbH",
"country": "Germany",
"purpose": "DEVELOPER"
}Example success response
{
"first_name": "Tom",
"last_name": "Smith",
"email": "felixsmith@example.com",
"company": "Tesobe GmbH",
"country": "Germany",
"purpose": "DEVELOPER",
"status": ""
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30008: User Customer Link not found by USER_ID
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: